Is it possible to create a solid from the edges of Pyramids?

Hello @vanquyet9494 probably something in some cases :wink:

2 Likes

Thanks @sovitek ,
That’s exactly what I was looking for.
Can the PolyCurve.ClosedLoopFromCurve node be found in any package?

1 Like

Yes thats the Ampersand package…with my method you will need some edit lets say you want a pentagonal something should work

1 Like

I will try it on my problem. It can be any shape made of contiguous polylines


allright…but then its not a pyramids anymore…and probably need another approach…EDIT see you are in acad…dont know if it works there :wink:

@vanquyet9494 ,

i am too late with my aproche :wink:
Standard primitives are my wish in dynamo


Cone_V01.dyn (54.4 KB)
… just create surfaces.

4 Likes

Hi @Draxl_Andreas does your method works for solids ? btw as i understand the user will do with lines…

and yes dont think dynamo have the same standard primitives as in 3dsmax as you show…

Hello, here is an approach with offset from polycurve
truncated pyramids

Cordially
christian.stan

1 Like

My input is usually 3D lines. My goal is just to group the lines to create a surface. It seems like my PolyCurve.ClosedLoopsFromCurves node is not working. Can you help me check it with this file?

SolidFromEdge.rvt (1.4 MB)


SolidFromEdge.dyn (87.6 KB)

Hi @vanquyet9494 …works fine here…are you sure you had ironpython 2.7 package installed ? when you are in 2023

and a way without ampersand…

EDIT aha its the surface you wanna have now ? then something…

2 Likes

a possible variation :wink:

code block:

Summit_Point;
a=Polygon.Corners(poly);
poly_lat=[];
K=DSCore.List.Count(a);
[Imperative]
{
for (i in 0..K-1)
	{
	poly_lat[i]=Polygon.ByPoints([a[i],Summit_Point,a[i+1]]);
	}
poly_lat[K-1]=Polygon.ByPoints([a[0],Summit_Point,a[K-1]]);
return DSCore.List.Flatten(
Autodesk.DesignScript.Geometry.Surface.ByPatch([poly,poly_lat]));
};

Cordially
christian.stan

4 Likes

Nice one Christian :wink:

3 Likes

Thank you, Soviet, for your help. I was able to resolve the issue.

1 Like

@vanquyet9494 ,

i have also an idea to get really solids.

f.e. you can use cuboids and subtract them…


3 Likes

hi @Draxl_Andreas
I tried running it and if the input is only the edges on one side of the prism then the surface is created. But if I choose all the edges, then there is an error. How can I create the surface when I choose all the edges? At present, I am using a node named PolyCurve.ClosedLoopsFromCurves and I do not want to rely on it.


image

@vanquyet9494 ,

you have to play around … :slight_smile:

you can create a new topic with your progress…

KR

Andreas